com.orientechnologies.orient.jdbc

## Class OrientRowId

- java.lang.Object
- - com.orientechnologies.orient.jdbc.OrientRowId

All Implemented Interfaces:
  java.sql.RowId

    public class OrientRowId
    extends java.lang.Object
    implements java.sql.RowId

### Field Summary

Fields
`protected com.orientechnologies.orient.core.id.ORID` `rid`

### Constructor Summary

Constructors
Constructor and Description
`OrientRowId(com.orientechnologies.orient.core.id.ORID rid)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`
`byte[]` `getBytes()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### rid

    protected final com.orientechnologies.orient.core.id.ORID rid

### Constructor Detail

#### OrientRowId

    public OrientRowId(com.orientechnologies.orient.core.id.ORID rid)

### Method Detail

#### getBytes

    public byte[] getBytes()

Specified by:
  `getBytes` in interface `java.sql.RowId`

#### equals

    public boolean equals(java.lang.Object obj)

Specified by:
  `equals` in interface `java.sql.RowId`
Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `java.sql.RowId`
Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Specified by:
  `toString` in interface `java.sql.RowId`
Overrides:
  `toString` in class `java.lang.Object`